MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031468Open CASCADE[OCCT] OCCT:Visualizationpublic2020-03-27 14:122020-04-11 13:00
Reporterosa 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.5.0*Fixed in Version 
Summary0031468: Visualization - add public interface to return embedding a single fallback font
DescriptionAdd possibility to get embedding a single fallback font (DejaVu font) into TKService. It can be useful for some applications that do not package its own font file.
Steps To ReproduceNot required
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
child of 0031079verifiedapn Visualization - embed minimal fallback font 

-  Notes
(0091308)
git (administrator)
2020-03-27 16:09

Branch CR31468 has been created by osa.

SHA-1: 6056feae1acbf284823b035e7b3ed07d7443d56b


Detailed log of new commits:

Author: osa
Date: Fri Mar 27 16:09:10 2020 +0300

    0031468: Visualization - add public interface to return embedding a single fallback font
(0091309)
git (administrator)
2020-03-27 16:56

Branch CR31468 has been updated forcibly by osa.

SHA-1: 28dfc12e75fc90473d24860b1c4d83c8047b6473
(0091338)
osa (developer)
2020-03-30 08:58

The patch is ready to review.

http://vm-jenkins-test-12.nnov.opencascade.com:8080/view/CR31468-master-OSA/view/ALL/ [^]
(0091339)
kgv (developer)
2020-03-30 09:09

Please raise the patch in OCCT branch CR31468.
(0091403)
bugmaster (administrator)
2020-04-02 09:50

Combination -
OCCT branch : WEEK-14
master SHA - 3f7e5e99d565e35f600da5f089b0fc7a3851fbde
b063b8738ddd5eb1c5bbbdac861e8d2f7864961f
Products branch : WEEK-14 SHA - 09a288fa325122ecccfa6e8af1903ccd84c665dc
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 16890.17000000012 / 16892.730000000243 [-0.02%]
Products
Total CPU difference: 11305.620000000092 / 11324.27000000008 [-0.16%]
Windows-64-VC14:
OCCT
Total CPU difference: 18301.765625 / 18321.59375 [-0.11%]
Products
Total CPU difference: 13156.78125 / 13224.34375 [-0.51%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0091523)
git (administrator)
2020-04-11 13:00

Branch CR31468 has been deleted by inv.

SHA-1: 28dfc12e75fc90473d24860b1c4d83c8047b6473

- Related Changesets
occt: master 21095f2d
Timestamp: 2020-03-27 13:09:10
Author: osa
Committer: bugmaster
Details ] Diff ]
0031468: Visualization - add public interface to return embedding a single fallback font
mod - src/Font/Font_FontMgr.cxx Diff ] File ]
mod - src/Font/Font_FontMgr.hxx Diff ] File ]
mod - src/Font/Font_FTFont.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-03-27 14:12 osa New Issue
2020-03-27 14:12 osa Assigned To => kgv
2020-03-27 14:13 osa Assigned To kgv => osa
2020-03-27 14:13 osa Status new => assigned
2020-03-27 14:39 kgv Relationship added child of 0031079
2020-03-27 16:09 git Note Added: 0091308
2020-03-27 16:56 git Note Added: 0091309
2020-03-30 08:58 osa Note Added: 0091338
2020-03-30 08:58 osa Assigned To osa => kgv
2020-03-30 08:58 osa Status assigned => resolved
2020-03-30 08:58 osa Steps to Reproduce Updated View Revisions
2020-03-30 09:09 kgv Note Added: 0091339
2020-03-30 09:09 kgv Assigned To kgv => bugmaster
2020-03-30 09:09 kgv Status resolved => reviewed
2020-04-02 09:50 bugmaster Note Added: 0091403
2020-04-02 09:50 bugmaster Status reviewed => tested
2020-04-02 09:50 bugmaster Test case number => Not required
2020-04-04 16:10 bugmaster Changeset attached => occt master 21095f2d
2020-04-04 16:10 bugmaster Status tested => verified
2020-04-04 16:10 bugmaster Resolution open => fixed
2020-04-11 13:00 git Note Added: 0091523


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker